Package org.eclipse.jface.text

# Class TextAttribute

java.lang.Object
org.eclipse.jface.text.TextAttribute

public class TextAttribute extends Object
Description of textual attributes such as color and style. Text attributes are considered value objects.

Clients usually instantiate object of the class.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`STRIKETHROUGH`
Text attribute for strikethrough style.
`static final int`
`UNDERLINE`
Text attribute for underline style.

## Constructor Summary

Constructors
Constructor
Description
`TextAttribute(Color foreground)`
Creates a text attribute for the given foreground color, no background color and with the SWT normal style.
`TextAttribute(Color foreground, Color background, int style)`
Creates a text attribute with the given colors and style.
`TextAttribute(Color foreground, Color background, int style, Font font)`
Creates a text attribute with the given colors and style.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object object)`
`Color`
`getBackground()`
Returns the attribute's background color.
`Font`
`getFont()`
Returns the attribute's font.
`Color`
`getForeground()`
Returns the attribute's foreground color.
`int`
`getStyle()`
Returns the attribute's style.
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STRIKETHROUGH

public static final int STRIKETHROUGH
Text attribute for strikethrough style. (value `1 << 29`).

Since:
  3.1
See Also:
  - Constant Field Values

### UNDERLINE

public static final int UNDERLINE
Text attribute for underline style. (value `1 << 30`)

Since:
  3.1
See Also:
  - Constant Field Values

## Constructor Details

### TextAttribute

public TextAttribute(Color foreground, Color background, int style)
Creates a text attribute with the given colors and style.

Parameters:
  `foreground` - the foreground color, `null` if none
  `background` - the background color, `null` if none
  `style` - the style

### TextAttribute

public TextAttribute(Color foreground, Color background, int style, Font font)
Creates a text attribute with the given colors and style.

Parameters:
  `foreground` - the foreground color, `null` if none
  `background` - the background color, `null` if none
  `style` - the style
  `font` - the font, `null` if none
Since:
  3.3

### TextAttribute

public TextAttribute(Color foreground)
Creates a text attribute for the given foreground color, no background color and with the SWT normal style.

Parameters:
  `foreground` - the foreground color, `null` if none

## Method Details

### equals

public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### getForeground

public Color getForeground()
Returns the attribute's foreground color.

Returns:
  the attribute's foreground color or `null` if not set

### getBackground

public Color getBackground()
Returns the attribute's background color.

Returns:
  the attribute's background color or `null` if not set

### getStyle

public int getStyle()
Returns the attribute's style.

Returns:
  the attribute's style

### getFont

public Font getFont()
Returns the attribute's font.

Returns:
  the attribute's font or `null` if not set
Since:
  3.3